(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     57322,       1717]
NotebookOptionsPosition[     54223,       1620]
NotebookOutlinePosition[     54615,       1637]
CellTagsIndexPosition[     54572,       1634]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Funkce 1 prom\[EHacek]nn\[EAcute]", "Section"],

Cell[CellGroupData[{

Cell["Gauss-Seidel", "Subsection"],

Cell[CellGroupData[{

Cell["p\[RHacek]\[IAcute]klad 1 ( x = cos(x) )", "Subsubsection",
 CellChangeTimes->{{3.476779559125*^9, 3.476779561734375*^9}, {
  3.476780346890625*^9, 3.47678036025*^9}}],

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", "x", "]"}], "\[Equal]", "x"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.476785034046875*^9, 3.47678508690625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f1", "[", "x_", "]"}], ":=", 
  RowBox[{"Cos", "[", "x", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"p1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f1", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", 
      RowBox[{"Pi", "/", "2"}]}], "}"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
    RowBox[{"PlotRange", "->", 
     RowBox[{"{", "Automatic", "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.476778515421875*^9, 3.47677859203125*^9}, 
   3.476780062171875*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x0", "=", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NN", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"list1", "=", 
  RowBox[{
   RowBox[{"NestList", "[", 
    RowBox[{"f1", ",", "x0", ",", "NN"}], "]"}], "//", "N"}]}]}], "Input",
 CellChangeTimes->{{3.476776251328125*^9, 3.4767762539375*^9}, {
   3.47677849371875*^9, 3.47677851303125*^9}, {3.47677860928125*^9, 
   3.476778622421875*^9}, 3.476779130234375*^9, {3.47677943684375*^9, 
   3.476779437375*^9}, {3.47677949159375*^9, 3.476779517765625*^9}, {
   3.54062954490625*^9, 3.540629548640625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dd", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"list1", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"list1", "[", 
        RowBox[{"[", 
         RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{
        RowBox[{"Length", "[", "list1", "]"}], "-", "1"}]}], "}"}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"Last", "[", "list1", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cary", "=", 
   RowBox[{"dd", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u_", ",", "v_"}], "}"}], "\[Rule]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", 
         RowBox[{"u", "/", "res"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"u", ",", "u"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "v"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"v", ",", "v"}], "}"}]}], "}"}], "]"}]}], "}"}], 
      "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"p1", ",", "cary"}], "]"}]}], "Input",
 CellChangeTimes->{{3.47677877134375*^9, 3.47677877803125*^9}, {
   3.4767800059375*^9, 3.476780006484375*^9}, 3.476780082703125*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f1a", "[", 
   RowBox[{"{", 
    RowBox[{"i_", ",", "x_", ",", "d_"}], "}"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"i", "+", "1"}], ",", 
    RowBox[{"Cos", "[", "x", "]"}], ",", 
    RowBox[{
     RowBox[{"Cos", "[", "x", "]"}], "-", "x"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NestList", "[", 
    RowBox[{"f1a", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "40"}], "]"}], "//", 
   "N"}], "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.476780320046875*^9, 3.476780320140625*^9}, {
  3.476782171375*^9, 3.47678217153125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f1", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"-", "Pi"}], "/", "2"}], ",", 
       RowBox[{"Pi", "/", "2"}]}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", "Automatic", "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NNa", "=", "40"}], ";", "\[IndentingNewLine]", 
    RowBox[{"list1a", "=", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{"f1", ",", "x0a", ",", "NNa"}], "]"}], "//", "N"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"dda", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"list1a", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"list1a", "[", 
          RowBox[{"[", 
           RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{
          RowBox[{"Length", "[", "list1a", "]"}], "-", "1"}]}], "}"}]}], 
      "]"}]}], ";", 
    RowBox[{"resa", "=", 
     RowBox[{"Last", "[", "list1a", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"carya", "=", 
     RowBox[{"dda", "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u_", ",", "v_"}], "}"}], "\[Rule]", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", 
           RowBox[{"u", "/", "resa"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"u", ",", "u"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"u", ",", "v"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"v", ",", "v"}], "}"}]}], "}"}], "]"}]}], "}"}], 
        "]"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"p2", ",", "carya"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0a", ",", "0.2"}], "}"}], ",", 
     RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.476776251328125*^9, 3.4767762539375*^9}, {
   3.47677849371875*^9, 3.47677851303125*^9}, {3.47677860928125*^9, 
   3.476778622421875*^9}, 3.476779130234375*^9, {3.47677943684375*^9, 
   3.476779437375*^9}, {3.47677949159375*^9, 3.476779517765625*^9}, {
   3.54062770978125*^9, 3.5406277100625*^9}, {3.540627843390625*^9, 
   3.540627905453125*^9}, {3.54062938121875*^9, 3.54062941265625*^9}, {
   3.5406294518125*^9, 3.54062947390625*^9}, {3.540629518671875*^9, 
   3.54062951903125*^9}, {3.540629618234375*^9, 3.540629626359375*^9}, {
   3.54062966146875*^9, 3.540629687390625*^9}, {3.54062973153125*^9, 
   3.54062973184375*^9}, {3.540629822796875*^9, 3.540629839171875*^9}, {
   3.54062992690625*^9, 3.5406299403125*^9}, {3.54063003025*^9, 
   3.540630070234375*^9}, {3.540632294265625*^9, 3.540632301234375*^9}, {
   3.54063251371875*^9, 3.54063252375*^9}, 3.5406326675*^9, {
   3.54063271428125*^9, 3.540632727390625*^9}, {3.5406327684375*^9, 
   3.54063285215625*^9}, {3.54063328665625*^9, 3.540633296140625*^9}, {
   3.5406333713125*^9, 3.54063337225*^9}, {3.54063355575*^9, 
   3.540633581890625*^9}, {3.540633637296875*^9, 3.540633653484375*^9}, {
   3.540633779703125*^9, 3.540633915078125*^9}, {3.540633961640625*^9, 
   3.540634012875*^9}, {3.540642061125*^9, 3.54064206178125*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NNa", "=", "40"}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{"f1a", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "x0a", ",", "0"}], "}"}], ",", "40"}], "]"}], "//",
       "N"}], "//", "MatrixForm"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0a", ",", "0.2"}], "}"}], ",", 
     RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.540634731109375*^9, {3.54063478196875*^9, 3.540634801234375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "p\[RHacek]\[IAcute]klad 2 ( x = ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"cos", "(", "x", ")"}], ",", " ", 
    RowBox[{"akcelera\[CHacek]n\[IAcute]", " ", "faktor"}]}], 
   TraditionalForm]]],
 " )"
}], "Subsubsection",
 CellChangeTimes->{{3.476779559125*^9, 3.476779561734375*^9}, 
   3.47677970346875*^9, {3.4767803694375*^9, 3.47678039465625*^9}, {
   3.476781533515625*^9, 3.4767815509375*^9}, {3.5406421789375*^9, 
   3.54064218146875*^9}}],

Cell[BoxData[{
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f2", "[", "x_", "]"}], ":=", 
     RowBox[{"x", "+", 
      RowBox[{"\[Alpha]", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "x", "]"}], "-", "x"}], ")"}]}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"list2", "=", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{"f2", ",", "0.2", ",", "40"}], "]"}], "//", "N"}]}], ";", 
    RowBox[{"dd", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"list2", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"list2", "[", 
          RowBox[{"[", 
           RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{
          RowBox[{"Length", "[", "list2", "]"}], "-", "1"}]}], "}"}]}], 
      "]"}]}], ";", 
    RowBox[{"res", "=", 
     RowBox[{"Last", "[", "list2", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"cary", "=", 
     RowBox[{"dd", "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u_", ",", "v_"}], "}"}], "\[Rule]", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", 
           RowBox[{"u", "/", "res"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"u", ",", "u"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"u", ",", "v"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"v", ",", "v"}], "}"}]}], "}"}], "]"}]}], "}"}], 
        "]"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"p1", ",", "cary"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "1"}], "}"}], ",", "0.5", ",", "1.5"}], 
    "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"0.9", ",", "1.1"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.5406355185625*^9, 3.540635519546875*^9}, {
  3.540635560921875*^9, 3.540635565671875*^9}, {3.540635609671875*^9, 
  3.54063563671875*^9}, {3.54064043046875*^9, 3.540640437828125*^9}, {
  3.540642154390625*^9, 3.54064216940625*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f2", "[", 
      RowBox[{"{", 
       RowBox[{"i_", ",", "x_", ",", "d_"}], "}"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "+", "1"}], ",", 
       RowBox[{"x", "+", 
        RowBox[{"\[Alpha]", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Cos", "[", "x", "]"}], "-", "x"}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", "x", "]"}], "-", "x"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{"f2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "40"}], "]"}], "//", 
      "N"}], "//", "MatrixForm"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "1"}], "}"}], ",", "0.5", ",", "1.5"}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.540633735796875*^9, 3.540633774796875*^9}, {
   3.540634018953125*^9, 3.540634039171875*^9}, {3.540635203859375*^9, 
   3.540635229875*^9}, 3.54064048409375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "p\[RHacek]\[IAcute]klad 3 ( x = ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["x", "2"], TraditionalForm]]],
 " )"
}], "Subsubsection",
 CellChangeTimes->{{3.476779559125*^9, 3.476779561734375*^9}, 
   3.47677970346875*^9, {3.4767803694375*^9, 3.47678039465625*^9}, {
   3.47678252975*^9, 3.4767825299375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f3", "[", "x_", "]"}], ":=", 
  SuperscriptBox["x", "2"]}], "\[IndentingNewLine]", 
 RowBox[{"p3", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"f3", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "0.5"}], ",", "1.2"}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
    RowBox[{"PlotRange", "->", 
     RowBox[{"{", "Automatic", "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.476779726703125*^9, 3.47677975909375*^9}, {
   3.47677979928125*^9, 3.476779870359375*^9}, {3.476779923234375*^9, 
   3.47677992878125*^9}, 3.4767800900625*^9, 3.476780144984375*^9, {
   3.4767801838125*^9, 3.47678020434375*^9}, {3.47678253296875*^9, 
   3.4767825368125*^9}, {3.54064069740625*^9, 3.54064071896875*^9}, {
   3.540642260953125*^9, 3.540642267203125*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NN", "=", "10"}], ";", 
    RowBox[{"list3", "=", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{"f3", ",", "x0", ",", "NN"}], "]"}], "//", "N"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x0", ",", 
     RowBox[{"-", "1.5"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4760877603125*^9, 3.47608778621875*^9}, {
   3.476087841390625*^9, 3.476087850578125*^9}, 3.476087889671875*^9, 
   3.476779724421875*^9, {3.476779778171875*^9, 3.47677978471875*^9}, {
   3.4767799478125*^9, 3.4767799806875*^9}, 3.476780037015625*^9, {
   3.476780149796875*^9, 3.47678015025*^9}, {3.476780191578125*^9, 
   3.476780214703125*^9}, {3.476782542953125*^9, 3.47678254525*^9}, {
   3.54064062546875*^9, 3.540640625890625*^9}, {3.540640687265625*^9, 
   3.540640687703125*^9}, {3.5406408041875*^9, 3.54064083203125*^9}, {
   3.540641027953125*^9, 3.54064104490625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"p4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"f3", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", "Automatic", "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NN", "=", "10"}], ";", 
    RowBox[{"list3", "=", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{"f3", ",", "x0", ",", "NN"}], "]"}], "//", "N"}]}], ";", 
    RowBox[{"dd", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"list3", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"list3", "[", 
          RowBox[{"[", 
           RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{
          RowBox[{"Length", "[", "list3", "]"}], "-", "1"}]}], "}"}]}], 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"res", "=", 
     RowBox[{"Last", "[", "list3", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"cary", "=", 
     RowBox[{"dd", "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u_", ",", "v_"}], "}"}], "\[Rule]", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", "u", "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"u", ",", "u"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"u", ",", "v"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"v", ",", "v"}], "}"}]}], "}"}], "]"}]}], "}"}], 
        "]"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"p4", ",", "cary"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x0", ",", 
     RowBox[{"-", "1.5"}], ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.47678003953125*^9, 3.476780046390625*^9}, {
   3.476780104578125*^9, 3.476780121234375*^9}, {3.476782548609375*^9, 
   3.476782563765625*^9}, {3.54064088465625*^9, 3.540640939796875*^9}, 
   3.540640972453125*^9, {3.540641004703125*^9, 3.540641016796875*^9}, {
   3.540641060015625*^9, 3.540641060390625*^9}, {3.540642299171875*^9, 
   3.540642299765625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["p\[RHacek]\[IAcute]klad 4", "Subsubsection",
 CellChangeTimes->{{3.476779559125*^9, 3.476779561734375*^9}, 
   3.47677970346875*^9, {3.4767803694375*^9, 3.47678039465625*^9}, {
   3.47678252975*^9, 3.4767825299375*^9}, {3.47678273865625*^9, 
   3.47678274234375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   SuperscriptBox["x", "3"], "-", 
   RowBox[{"6", 
    SuperscriptBox["x", "2"]}], "+", 
   RowBox[{"9", "x"}], "-", "4"}], "\[Equal]", "0"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{"%", ",", "x"}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["x", "3"], "-", 
    RowBox[{"6", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"9", "x"}], "-", "4"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "5"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.47678274665625*^9, 3.47678275934375*^9}, {
  3.47678278953125*^9, 3.476782789828125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     SuperscriptBox["x", "3"], "9"]}], "+", 
   FractionBox[
    RowBox[{"2", 
     SuperscriptBox["x", "2"]}], "3"], "+", 
   FractionBox["4.", "9"]}]}]], "Input",
 CellChangeTimes->{{3.47678300825*^9, 3.4767830250625*^9}, {3.476784912375*^9,
   3.47678491534375*^9}, {3.47678514809375*^9, 3.47678518378125*^9}, {
  3.54064140190625*^9, 3.5406414028125*^9}, {3.540642400671875*^9, 
  3.54064240171875*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"g1", "[", 
      RowBox[{"{", 
       RowBox[{"i_", ",", "x_", ",", "d_"}], "}"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "+", "1"}], ",", 
       RowBox[{"g", "[", "x", "]"}], ",", 
       RowBox[{
        RowBox[{"g", "[", "x", "]"}], "-", "x"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{"g1", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "x0", ",", "0"}], "}"}], ",", "30"}], "]"}], "//", 
      "N"}], "//", "MatrixForm"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x0", ",", 
     RowBox[{"-", "1"}], ",", "6"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.540641124078125*^9, 3.54064113253125*^9}, {
   3.540641165390625*^9, 3.540641219640625*^9}, 3.5406414968125*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"p5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"g", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2"}], ",", "6"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", "Automatic", "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"list4", "=", 
      RowBox[{
       RowBox[{"NestList", "[", 
        RowBox[{"g", ",", "x0", ",", "40"}], "]"}], "//", "N"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"dd", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"list4", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"list4", "[", 
           RowBox[{"[", 
            RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{
           RowBox[{"Length", "[", "list4", "]"}], "-", "1"}]}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"res", "=", 
      RowBox[{"Last", "[", "list4", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"cary", "=", 
      RowBox[{"dd", "/.", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u_", ",", "v_"}], "}"}], "\[Rule]", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Hue", "[", "u", "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"u", ",", "u"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"u", ",", "v"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"v", ",", "v"}], "}"}]}], "}"}], "]"}]}], "}"}], 
         "]"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"p5", ",", "cary"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x0", ",", 
      RowBox[{"-", "2"}], ",", "6"}], "}"}]}], "]"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"x0", "=", "2"}], ";", "0", ";", "5"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.47678298334375*^9, 3.476782989390625*^9}, {
  3.47678478246875*^9, 3.476784792046875*^9}, {3.476784825328125*^9, 
  3.476784850734375*^9}, {3.47678489446875*^9, 3.476784978015625*^9}, {
  3.47678500915625*^9, 3.47678500978125*^9}, {3.47678554915625*^9, 
  3.476785549625*^9}, {3.54064130571875*^9, 3.54064134615625*^9}, {
  3.540641407515625*^9, 3.5406414075625*^9}, {3.540641573796875*^9, 
  3.54064158459375*^9}, {3.540641624171875*^9, 3.54064163728125*^9}, {
  3.54064240825*^9, 3.54064242346875*^9}, {3.540642538796875*^9, 
  3.54064254865625*^9}}],

Cell["vliv akcelera\[CHacek]n\[IAcute]ho faktoru", "Text",
 CellChangeTimes->{{3.477109481965148*^9, 3.477109487417714*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"alfa", "=", "1.25"}], ";", 
  RowBox[{"(*", "1.8", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"x0", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NN", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g2", "[", "x_", "]"}], ":=", 
  RowBox[{"x", "+", 
   RowBox[{"alfa", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"g", "[", "x", "]"}], "-", "x"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{
  3.476785234296875*^9, {3.4767853291875*^9, 3.476785332109375*^9}, {
   3.4767856774375*^9, 3.476785758734375*^9}, {3.54064171403125*^9, 
   3.540641729515625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"g3", "[", 
   RowBox[{"{", 
    RowBox[{"i_", ",", "x_", ",", "d_"}], "}"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"i", "+", "1"}], ",", 
    RowBox[{"g2", "[", "x", "]"}], ",", 
    RowBox[{
     RowBox[{"g2", "[", "x", "]"}], "-", "x"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NestList", "[", 
    RowBox[{"g3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "x0", ",", "0"}], "}"}], ",", "NN"}], "]"}], "//", 
   "N"}], "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.476785335859375*^9, 3.47678533603125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"p6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"g", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "5"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", "Automatic", "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"g2", "[", "x_", "]"}], ":=", 
      RowBox[{"x", "+", 
       RowBox[{"\[Alpha]", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"g", "[", "x", "]"}], "-", "x"}], ")"}]}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"list5", "=", 
      RowBox[{
       RowBox[{"NestList", "[", 
        RowBox[{"g2", ",", "x0", ",", "NN"}], "]"}], "//", "N"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"dd", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"list5", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"list5", "[", 
           RowBox[{"[", 
            RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{
           RowBox[{"Length", "[", "list5", "]"}], "-", "1"}]}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"res", "=", 
      RowBox[{"Last", "[", "list5", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"cary", "=", 
      RowBox[{"dd", "/.", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"u_", ",", "v_"}], "}"}], "\[Rule]", 
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Hue", "[", "u", "]"}], ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"u", ",", "u"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"u", ",", "v"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"v", ",", "v"}], "}"}]}], "}"}], "]"}]}], "}"}], 
         "]"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"p6", ",", "cary"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", "1"}], "}"}], ",", "0.5", ",", "3"}], "}"}]}],
    "]"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"alfa", "=", "1.25"}], ";", "1.8"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.47678298334375*^9, 3.476782989390625*^9}, {
  3.47678478246875*^9, 3.476784792046875*^9}, {3.476784825328125*^9, 
  3.476784850734375*^9}, {3.47678489446875*^9, 3.476784978015625*^9}, {
  3.47678500915625*^9, 3.47678500978125*^9}, {3.476785350390625*^9, 
  3.4767853898125*^9}, {3.476785431578125*^9, 3.476785489890625*^9}, {
  3.47678556271875*^9, 3.47678558446875*^9}, {3.54064180334375*^9, 
  3.5406418354375*^9}, {3.54064188559375*^9, 3.540641933453125*^9}, {
  3.54064258365625*^9, 3.540642610015625*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Newton-Raphson", "Subsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"h", "[", "x_", "]"}], ":=", 
  RowBox[{
   SuperscriptBox["x", "3"], "-", 
   RowBox[{"6", 
    SuperscriptBox["x", "2"]}], "+", 
   RowBox[{"9", "x"}], "-", "4."}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"x0", "=", "6"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"6", ",", "3", ",", "2.7", ",", "3.3"}], "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.47678734571875*^9, {3.476787379890625*^9, 3.476787380375*^9}, {
   3.476787431671875*^9, 3.4767875220625*^9}, {3.476787565828125*^9, 
   3.476787588328125*^9}, {3.4767877298125*^9, 3.47678776415625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"h", "'"}], "[", "x", "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"h1", "[", 
   RowBox[{"{", 
    RowBox[{"i_", ",", "x_", ",", "k_", ",", "l_", ",", "j_"}], "}"}], "]"}], 
  ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"i", "+", "1"}], ",", 
    RowBox[{"x", "+", 
     FractionBox[
      RowBox[{"0", "-", 
       RowBox[{"h", "[", "x", "]"}]}], 
      RowBox[{
       RowBox[{"h", "'"}], "[", "x", "]"}]]}], ",", 
    FractionBox[
     RowBox[{"0", "-", 
      RowBox[{"h", "[", "x", "]"}]}], 
     RowBox[{
      RowBox[{"h", "'"}], "[", "x", "]"}]], ",", 
    RowBox[{"0", "-", 
     RowBox[{"h", "[", "x", "]"}]}], ",", 
    RowBox[{
     RowBox[{"h", "'"}], "[", "x", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listh", "=", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{"h1", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "x0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      "10"}], "]"}], "//", "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.47678685496875*^9, 3.476786875421875*^9}, 
   3.47678691984375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"p7", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "3"], "-", 
      RowBox[{"6", 
       SuperscriptBox["x", "2"]}], "+", 
      RowBox[{"9", "x"}], "-", "4"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "3", ",", "6"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dd", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"listh", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"listh", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"i", "+", "1"}], ",", "4"}], "]"}], "]"}]}], ",", 
       RowBox[{"listh", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"i", "+", "1"}], ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{
        RowBox[{"Length", "[", "listh", "]"}], "-", "1"}]}], "}"}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"res", "=", 
  RowBox[{
   RowBox[{"Last", "[", "listh", "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cary", "=", 
   RowBox[{"dd", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u_", ",", "v_", ",", "w_"}], "}"}], "\[Rule]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", 
         RowBox[{"u", "/", "res"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"u", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "v"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"w", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
      "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"p7", ",", "cary"}], "]"}]}], "Input",
 CellChangeTimes->{{3.476786927734375*^9, 3.476786953265625*^9}, {
   3.476787101125*^9, 3.476787117859375*^9}, {3.476787153265625*^9, 
   3.476787288171875*^9}, {3.47678739790625*^9, 3.476787427390625*^9}, 
   3.476787465609375*^9, {3.47678757221875*^9, 3.4767876403125*^9}, {
   3.476787675578125*^9, 3.4767877598125*^9}, {3.540642685390625*^9, 
   3.5406426875*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"h1", "[", 
      RowBox[{"{", 
       RowBox[{"i_", ",", "x_", ",", "k_", ",", "l_", ",", "j_"}], "}"}], 
      "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "+", "1"}], ",", 
       RowBox[{"x", "+", 
        FractionBox[
         RowBox[{"0", "-", 
          RowBox[{"h", "[", "x", "]"}]}], 
         RowBox[{
          RowBox[{"h", "'"}], "[", "x", "]"}]]}], ",", 
       FractionBox[
        RowBox[{"0", "-", 
         RowBox[{"h", "[", "x", "]"}]}], 
        RowBox[{
         RowBox[{"h", "'"}], "[", "x", "]"}]], ",", 
       RowBox[{"0", "-", 
        RowBox[{"h", "[", "x", "]"}]}], ",", 
       RowBox[{
        RowBox[{"h", "'"}], "[", "x", "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"listh", "=", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{"h1", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "x0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
        "10"}], "]"}], "//", "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"listh", "//", "MatrixForm"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x0", ",", "2", ",", "7"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.54064277553125*^9, 3.540642822984375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"p8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "3"], "-", 
      RowBox[{"6", 
       SuperscriptBox["x", "2"]}], "+", 
      RowBox[{"9", "x"}], "-", "4"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"h1", "[", 
      RowBox[{"{", 
       RowBox[{"i_", ",", "x_", ",", "k_", ",", "l_", ",", "j_"}], "}"}], 
      "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "+", "1"}], ",", 
       RowBox[{"x", "+", 
        FractionBox[
         RowBox[{"0", "-", 
          RowBox[{"h", "[", "x", "]"}]}], 
         RowBox[{
          RowBox[{"h", "'"}], "[", "x", "]"}]]}], ",", 
       FractionBox[
        RowBox[{"0", "-", 
         RowBox[{"h", "[", "x", "]"}]}], 
        RowBox[{
         RowBox[{"h", "'"}], "[", "x", "]"}]], ",", 
       RowBox[{"0", "-", 
        RowBox[{"h", "[", "x", "]"}]}], ",", 
       RowBox[{
        RowBox[{"h", "'"}], "[", "x", "]"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"listh", "=", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{"h1", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "x0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
        "10"}], "]"}], "//", "N"}]}], ";", 
    RowBox[{"dd", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"listh", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"-", 
          RowBox[{"listh", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"i", "+", "1"}], ",", "4"}], "]"}], "]"}]}], ",", 
         RowBox[{"listh", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"i", "+", "1"}], ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{
          RowBox[{"Length", "[", "listh", "]"}], "-", "1"}]}], "}"}]}], 
      "]"}]}], ";", 
    RowBox[{"res", "=", 
     RowBox[{
      RowBox[{"Last", "[", "listh", "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"cary", "=", 
     RowBox[{"dd", "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u_", ",", "v_", ",", "w_"}], "}"}], "\[Rule]", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", 
           RowBox[{"u", "/", "res"}], "]"}], ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"u", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"u", ",", "v"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"w", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], 
        "]"}]}]}]}], ";", 
    RowBox[{"Show", "[", 
     RowBox[{"p8", ",", "cary"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x0", ",", "0", ",", "7"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.540643260953125*^9, 3.54064326203125*^9}, {
   3.54064336578125*^9, 3.540643369390625*^9}, {3.54064340171875*^9, 
   3.54064340378125*^9}, {3.5406434396875*^9, 3.540643440015625*^9}, {
   3.540643514578125*^9, 3.540643523046875*^9}, 3.54064357278125*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Soustava 2 rovnic", "Section",
 CellChangeTimes->{{3.476797323296875*^9, 3.476797327296875*^9}}],

Cell[BoxData[{
 RowBox[{"rce", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox[
       SubscriptBox["x", "1"], "2"], "+", 
      SuperscriptBox[
       SubscriptBox["x", "2"], "2"]}], "==", "4"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"Exp", "[", 
       SubscriptBox["x", "1"], "]"}], "+", 
      SubscriptBox["x", "2"]}], "\[Equal]", "1"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"p9", "=", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", "rce", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "1"], ",", 
      RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["x", "2"], ",", 
      RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
    RowBox[{"Axes", "\[Rule]", "True"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(x\), \(1\)]\)\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(x\), \(2\)]\)\>\""}], "}"}]}], ",", 
    RowBox[{"Frame", "\[Rule]", "False"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.476789001265625*^9, 3.476789067125*^9}, 
   3.476789496796875*^9, {3.476789562828125*^9, 3.4767895644375*^9}, {
   3.476789809015625*^9, 3.47678983828125*^9}, {3.4767898829375*^9, 
   3.476789923921875*^9}, {3.47678996203125*^9, 3.4767899664375*^9}, {
   3.476790019859375*^9, 3.476790037765625*^9}, {3.476790196359375*^9, 
   3.476790199421875*^9}, {3.476794113859375*^9, 3.476794114953125*^9}, {
   3.47679449653125*^9, 3.476794526234375*^9}, {3.47679487678125*^9, 
   3.476794957234375*^9}, 3.540643619109375*^9}],

Cell[BoxData[{"rce", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rov", "=", 
   RowBox[{"Length", "[", "rce", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"nez", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    SubscriptBox["x", "i"], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "rov"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"poc", "=", 
  RowBox[{"{", 
   RowBox[{"0.5", ",", 
    RowBox[{"-", "1"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.47679038678125*^9, 3.476790394375*^9}, {
   3.4767904833125*^9, 3.47679049721875*^9}, {3.47679158978125*^9, 
   3.476791616203125*^9}, {3.4767918478125*^9, 3.476791877890625*^9}, {
   3.476792857578125*^9, 3.47679287646875*^9}, {3.476792907921875*^9, 
   3.47679290825*^9}, 3.4767944425625*^9, 3.47679454425*^9, 
   3.476794653890625*^9, {3.476794725890625*^9, 3.476794803765625*^9}, {
   3.476794952765625*^9, 3.4767949631875*^9}}],

Cell[CellGroupData[{

Cell["Gauss - Seidel", "Subsection",
 CellChangeTimes->{{3.476797288640625*^9, 3.476797291875*^9}, {
  3.540643736609375*^9, 3.54064374753125*^9}}],

Cell[CellGroupData[{

Cell["Gauss", "Subsubsection",
 CellChangeTimes->{{3.540643721484375*^9, 3.540643732578125*^9}}],

Cell[BoxData[{
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"rce", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     SubscriptBox["x", "i"]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "rov"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ab", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"%", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
    RowBox[{"%", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", "1", ",", "1", ",", "2"}], "]"}], "]"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ga", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"ab", "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"nez", "[", 
        RowBox[{"[", "j", "]"}], "]"}], "\[Rule]", 
       RowBox[{"x", "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "rov"}], "}"}]}], "]"}]}], "//", "N"}]}]}], "Input",
 CellChangeTimes->{{3.476794971015625*^9, 3.476795096671875*^9}, {
  3.47679534496875*^9, 3.476795514859375*^9}, {3.476795571640625*^9, 
  3.476795597046875*^9}, {3.476795634734375*^9, 3.476795638703125*^9}, {
  3.476795726046875*^9, 3.4767957325625*^9}, {3.476795883*^9, 
  3.4767958838125*^9}, {3.476795969953125*^9, 3.476795981328125*^9}, {
  3.476796033453125*^9, 3.476796033921875*^9}}],

Cell[BoxData[
 RowBox[{"ga", "[", "poc", "]"}]], "Input",
 CellChangeTimes->{{3.476795925734375*^9, 3.47679595834375*^9}}],

Cell[BoxData[
 RowBox[{"listga", "=", 
  RowBox[{"NestList", "[", 
   RowBox[{"ga", ",", "poc", ",", "10"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.476795988859375*^9, 3.47679600115625*^9}, {
  3.476796499171875*^9, 3.47679650103125*^9}}],

Cell[BoxData[
 RowBox[{"deltaga", "=", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       RowBox[{"listga", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "+", 
      RowBox[{"listga", "[", 
       RowBox[{"[", 
        RowBox[{"i", "+", "1"}], "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{
        RowBox[{"Length", "[", "listga", "]"}], "-", "1"}]}], "}"}]}], "]"}], 
   "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.476797069671875*^9, 3.476797160625*^9}}],

Cell[BoxData[{
 RowBox[{"dd", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"listga", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{"listga", "[", 
       RowBox[{"[", 
        RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{
       RowBox[{"Length", "[", "listga", "]"}], "-", "1"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cary", "=", 
   RowBox[{"dd", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u_", ",", "v_"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"w_", ",", "z_"}], "}"}]}], "}"}], "\[Rule]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "u", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"u", ",", "v"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "z"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"w", ",", "z"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"w", ",", "v"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "v"}], "}"}]}], "}"}], "]"}]}], "}"}], 
      "]"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.47679651165625*^9, 3.476796516375*^9}, {
  3.476796742359375*^9, 3.476796775265625*^9}, {3.476796856453125*^9, 
  3.47679687165625*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p9", ",", "cary", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{3.540643659375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["zrychlen\[YAcute] Gauss - Seidel", "Subsubsection",
 CellChangeTimes->{{3.477196795859375*^9, 3.47719681075*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ga1", "[", "poc_", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{
      RowBox[{"ga", "[", "poc", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ",", 
    RowBox[{
     RowBox[{"ga", "[", 
      RowBox[{"{", 
       RowBox[{"a", ",", 
        RowBox[{"poc", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.4771950398125*^9, 3.47719505228125*^9}, {
  3.4771962445625*^9, 3.477196358203125*^9}}],

Cell[BoxData[
 RowBox[{"listga1", "=", 
  RowBox[{"NestList", "[", 
   RowBox[{"ga1", ",", "poc", ",", "10"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.477196362484375*^9, 3.477196376984375*^9}, {
  3.4771965196875*^9, 3.477196526015625*^9}}],

Cell[BoxData[
 RowBox[{"deltaga1", "=", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       RowBox[{"listga1", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "+", 
      RowBox[{"listga1", "[", 
       RowBox[{"[", 
        RowBox[{"i", "+", "1"}], "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{
        RowBox[{"Length", "[", "listga1", "]"}], "-", "1"}]}], "}"}]}], "]"}],
    "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.476797069671875*^9, 3.476797160625*^9}, {
  3.477196536921875*^9, 3.477196544203125*^9}}],

Cell[BoxData[{
 RowBox[{"dd", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"listga1", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{"listga1", "[", 
       RowBox[{"[", 
        RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{
       RowBox[{"Length", "[", "listga1", "]"}], "-", "1"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cary", "=", 
   RowBox[{"dd", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u_", ",", "v_"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"w_", ",", "z_"}], "}"}]}], "}"}], "\[Rule]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "u", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"u", ",", "v"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "z"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"w", ",", "z"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"w", ",", "v"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "v"}], "}"}]}], "}"}], "]"}]}], "}"}], 
      "]"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.47679651165625*^9, 3.476796516375*^9}, {
  3.476796742359375*^9, 3.476796775265625*^9}, {3.476796856453125*^9, 
  3.47679687165625*^9}, {3.4771965925625*^9, 3.47719659578125*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p9", ",", "cary", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.54064376115625*^9, 3.540643762734375*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Newton - Raphson", "Subsection",
 CellChangeTimes->{{3.476797263546875*^9, 3.476797268640625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"J", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"rce", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
       RowBox[{"nez", "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "rov"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "rov"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.476790369640625*^9, 3.476790372828125*^9}, 
   3.4767904544375*^9, {3.47679051246875*^9, 3.476790536171875*^9}, {
   3.47679058946875*^9, 3.476790621*^9}, {3.47679162475*^9, 
   3.476791627328125*^9}, {3.476791883640625*^9, 3.47679189021875*^9}}],

Cell[BoxData[{
 RowBox[{"def", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"rce", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "2"}], "]"}], "]"}], "-", 
      RowBox[{"rce", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SubscriptBox["x", "1"], "\[Rule]", 
        RowBox[{"poc", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", 
       RowBox[{
        SubscriptBox["x", "2"], "\[Rule]", 
        RowBox[{"poc", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "rov"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"jak", "=", 
  RowBox[{"J", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SubscriptBox["x", "1"], "\[Rule]", 
      RowBox[{"poc", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", 
     RowBox[{
      SubscriptBox["x", "2"], "\[Rule]", 
      RowBox[{"poc", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"delta", "=", 
  RowBox[{
   RowBox[{"Inverse", "[", "jak", "]"}], ".", 
   "def"}]}], "\[IndentingNewLine]", 
 RowBox[{"xnew", "=", 
  RowBox[{"poc", "+", "delta"}]}]}], "Input",
 CellChangeTimes->{{3.4767907479375*^9, 3.476790989296875*^9}, {
  3.47679103890625*^9, 3.4767910695625*^9}, {3.47679116603125*^9, 
  3.476791181921875*^9}, {3.476791900484375*^9, 3.476791913625*^9}, {
  3.476792009046875*^9, 3.4767920119375*^9}, {3.47679288609375*^9, 
  3.47679288684375*^9}, {3.476794620203125*^9, 3.476794625953125*^9}, {
  3.476794659953125*^9, 3.4767946603125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"defekt", "[", "x_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"rce", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "2"}], "]"}], "]"}], "-", 
      RowBox[{"rce", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "/.", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"nez", "[", 
         RowBox[{"[", "j", "]"}], "]"}], "\[Rule]", 
        RowBox[{"x", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "rov"}], "}"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "rov"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jakobi", "[", "x_", "]"}], ":=", 
  RowBox[{"J", "/.", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nez", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "\[Rule]", 
      RowBox[{"x", "[", 
       RowBox[{"[", "j", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "rov"}], "}"}]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"deltanez", "[", "x_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Inverse", "[", 
    RowBox[{"jakobi", "[", "x", "]"}], "]"}], ".", 
   RowBox[{"defekt", "[", "x", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"neznew", "[", "x_", "]"}], ":=", 
  RowBox[{"x", "+", 
   RowBox[{"deltanez", "[", "x", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.47679202453125*^9, 3.476792049625*^9}, {
  3.476792229703125*^9, 3.476792295671875*^9}, {3.47679233259375*^9, 
  3.476792507671875*^9}}],

Cell[BoxData[
 RowBox[{"listnr", "=", 
  RowBox[{"NestList", "[", 
   RowBox[{"neznew", ",", "poc", ",", "5"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.476792586140625*^9, 3.476792606828125*^9}, {
  3.476794141125*^9, 3.476794143171875*^9}, {3.47679464259375*^9, 
  3.47679467928125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nr", "[", 
   RowBox[{"{", 
    RowBox[{"i_", ",", "x_", ",", "k_", ",", "l_", ",", "j_"}], "}"}], "]"}], 
  ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"i", "+", "1"}], ",", 
    RowBox[{"neznew", "[", "x", "]"}], ",", 
    RowBox[{"deltanez", "[", "x", "]"}], ",", 
    RowBox[{"jakobi", "[", "x", "]"}], ",", 
    RowBox[{"defekt", "[", "x", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listh", "=", 
   RowBox[{
    RowBox[{"NestList", "[", 
     RowBox[{"nr", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "poc", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      "10"}], "]"}], "//", "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.4767913683125*^9, 3.47679136840625*^9}, {
  3.476791469328125*^9, 3.47679146946875*^9}, {3.476792554671875*^9, 
  3.476792577140625*^9}, {3.4767929603125*^9, 3.476792993484375*^9}, {
  3.476793036390625*^9, 3.476793068515625*^9}}],

Cell[BoxData[{
 RowBox[{"dd", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"listnr", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{"listnr", "[", 
       RowBox[{"[", 
        RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{
       RowBox[{"Length", "[", "listnr", "]"}], "-", "1"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cary", "=", 
   RowBox[{"dd", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u_", ",", "v_"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"w_", ",", "z_"}], "}"}]}], "}"}], "\[Rule]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "u", "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"u", ",", "v"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"w", ",", "z"}], "}"}]}], "}"}], "]"}]}], "}"}], 
      "]"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.47679424825*^9, 3.476794311015625*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p9", ",", "cary", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.476794322390625*^9, 3.47679433221875*^9}, {
   3.476794458453125*^9, 3.476794479984375*^9}, 3.540643787390625*^9}]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1109, 815},
WindowMargins->{{12, Automatic}, {Automatic, 15}},
Magnification->1.25,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 52, 0, 88, "Section"],
Cell[CellGroupData[{
Cell[644, 26, 34, 0, 46, "Subsection"],
Cell[CellGroupData[{
Cell[703, 30, 173, 2, 32, "Subsubsection"],
Cell[879, 34, 261, 7, 35, "Input"],
Cell[1143, 43, 737, 20, 58, "Input"],
Cell[1883, 65, 617, 13, 80, "Input"],
Cell[2503, 80, 1449, 44, 102, "Input"],
Cell[3955, 126, 656, 20, 58, "Input"],
Cell[4614, 148, 3739, 91, 168, "Input"],
Cell[8356, 241, 612, 18, 58, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9005, 264, 476, 13, 32, "Subsubsection"],
Cell[9484, 279, 2284, 66, 168, "Input"],
Cell[11771, 347, 1112, 33, 58, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12920, 385, 329, 9, 32, "Subsubsection"],
Cell[13252, 396, 972, 23, 60, "Input"],
Cell[14227, 421, 959, 20, 35, "Input"],
Cell[15189, 443, 2551, 71, 146, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17777, 519, 273, 4, 32, "Subsubsection"],
Cell[18053, 525, 272, 8, 60, "Input"],
Cell[18328, 535, 503, 14, 39, "Input"],
Cell[18834, 551, 516, 14, 56, "Input"],
Cell[19353, 567, 884, 26, 58, "Input"],
Cell[20240, 595, 2882, 78, 168, "Input"],
Cell[23125, 675, 124, 1, 34, "Text"],
Cell[23252, 678, 634, 17, 102, "Input"],
Cell[23889, 697, 607, 19, 58, "Input"],
Cell[24499, 718, 3117, 86, 190, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27665, 810, 36, 0, 46, "Subsection"],
Cell[27704, 812, 603, 16, 60, "Input"],
Cell[28310, 830, 72, 2, 35, "Input"],
Cell[28385, 834, 1090, 34, 101, "Input"],
Cell[29478, 870, 2467, 72, 127, "Input"],
Cell[31948, 944, 1285, 38, 110, "Input"],
Cell[33236, 984, 3544, 104, 201, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[36829, 1094, 102, 1, 88, "Section"],
Cell[36934, 1097, 1625, 42, 61, "Input"],
Cell[38562, 1141, 898, 20, 102, "Input"],
Cell[CellGroupData[{
Cell[39485, 1165, 147, 2, 46, "Subsection"],
Cell[CellGroupData[{
Cell[39657, 1171, 96, 1, 32, "Subsubsection"],
Cell[39756, 1174, 1384, 38, 80, "Input"],
Cell[41143, 1214, 122, 2, 35, "Input"],
Cell[41268, 1218, 240, 5, 35, "Input"],
Cell[41511, 1225, 557, 17, 35, "Input"],
Cell[42071, 1244, 1490, 46, 58, "Input"],
Cell[43564, 1292, 231, 5, 35, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43832, 1302, 119, 1, 32, "Subsubsection"],
Cell[43954, 1305, 567, 17, 35, "Input"],
Cell[44524, 1324, 242, 5, 35, "Input"],
Cell[44769, 1331, 610, 18, 35, "Input"],
Cell[45382, 1351, 1536, 46, 58, "Input"],
Cell[46921, 1399, 257, 5, 35, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[47227, 1410, 104, 1, 46, "Subsection"],
Cell[47334, 1413, 799, 21, 58, "Input"],
Cell[48136, 1436, 1660, 47, 102, "Input"],
Cell[49799, 1485, 1607, 48, 102, "Input"],
Cell[51409, 1535, 289, 6, 35, "Input"],
Cell[51701, 1543, 991, 25, 80, "Input"],
Cell[52695, 1570, 1168, 38, 58, "Input"],
Cell[53866, 1610, 329, 6, 35, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
